Subject: Re: testh.f90

From: Zheng Gengbing <[email-masked]>
Date: Mon, 6 May 1996 09:44:34 +0800 (EAT)

On Sun, 5 May 1996, Guansong Zhang wrote:

> On May 5,  4:51pm, Zheng Gengbing wrote:
> >
> > > testh.f90:!zgs for 1.40 LOGICAL var15 (2) = .TRUE.
> > > testh.f90:!zgs for 1.40 LOGICAL var17 (2) = .TRUE.
> > >
> > > I will ask the developer of the test on monday if you sure it is a mistake.
> But
> > > 1.34 pass this, just as a reminder.
> >
> >
> > 	Semantic error !
> >
> >
> >-- End of excerpt from Zheng Gengbing
> 
> 
> Please explain more to me, so I can ask the developer.
> 
> I remember you said last time we should add :: on
> 

	This is not syntatic error , it is a semantic error . The 
specification of HPF required that if initialization expr appeared ,
the double colon must appeared also. Because we can not check it in hpfcc,
so we do the checking here.

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************